[Solo on-premise/ibrido]{class="badge yellow" title="Applicabile solo alle distribuzioni on-premise e ibride"}

Server dell’applicazione application-server

I livelli di accesso al database richiesti devono essere installati sul server e accessibili dall’account Adobe Campaign.

Java Development Kit - JDK java-development-kit---jdk

Java Development Kit, o JDK, è un kit di sviluppo software. È il componente fondamentale che consente lo sviluppo di applicazioni Java e applet Java.

Il generatore di pagine web dinamiche utilizza la tecnologia JSP 1.2. Per questo, nell’applicazione è incluso un motore Tomcat (di Apache). Richiede un Java Development Kit (JDK), installato su tutti i server in cui è installata l’applicazione Adobe Campaign.

È innanzitutto necessario installare un JDK nei computer in cui si desidera eseguire il server applicazioni Adobe Campaign (nlserver web processo ) perché incorpora un contenitore servlet, Apache Tomcat, utilizzato per generare pagine web dinamiche (rapporti, moduli web, ecc.).

L’applicazione è stata approvata per Java Development Kit (JDK) sviluppato da Oracle e per OpenJDK.

Le versioni supportate sono dettagliate in Campaign Matrice di compatibilità.

Raccomandazioni

Durante l’installazione e l’aggiornamento di Java Development Kit, applica i seguenti consigli:

  • Java Development Kit può essere installato utilizzando la versione JDK appropriata già utilizzata da altre applicazioni sul computer.

  • Durante l’installazione di JDK, non è richiesta l’integrazione con i browser web.

  • In un computer che esegue solo agenti di consegna (mta nlserver processo) o il server del flusso di lavoro (nlserver wfserver processo), non è necessario installare un JDK.

  • Per mantenere le prestazioni operative della piattaforma e garantire la compatibilità con la versione installata, è necessario disabilitare le funzioni di aggiornamento automatico JDK in Windows e Linux.

  • Quando aggiorni la versione Java, devi prima disinstallare la versione precedente. Entrambe le versioni di Java installate nello stesso computer possono causare conflitti.

    In qualità di cliente on-premise, puoi controllare LD_LIBRARY_PATH variabile di ambiente è impostato sulla versione più recente (ad es. java11). Se è impostata su una versione precedente (ad es. Java8), quindi deve essere aggiornato. Per JDK 11, il percorso per individuare le librerie JDK è /usr/lib/jvm/java-11-openjdk-amd64/lib.

Passaggi per l’installazione

Java Development Kit è specifico per la piattaforma: sono necessari programmi di installazione separati per ciascun sistema operativo.

Per scaricare JDK, connettiti a Oracle di sito web.

CAUTION
Assicurati di scaricare Java Development Kit (JDK) e non un ambiente Java Runtime (JRE).

Per installare JDSL in un ambiente Linux, l’Adobe consiglia di utilizzare un gestore di pacchetti.

Per Debian, usa il seguente comando:

aptitude install openjdk-8-jdk

Per RHEL, utilizzare il comando seguente:

yum install java-1.8.0-openjdk

OpenSSL openssl

In Linux, OpenSSL deve essere installato. Adobe Campaign supporta OpenSSL versione 1.0.2 o successiva.

Esportare rapporti exporting-reports

Puoi utilizzare Adobe Campaign per esportare rapporti in Microsoft Excel e Adobe PDF.

  • Per il formato Microsoft Excel, Adobe Campaign si basa su LibreOffice.

  • Per il formato Adobe PDF, Adobe Campaign utilizza PhantomJS convertitore. PhantomJs è incluso nel pacchetto di fabbrica e LibreOffice deve essere installato sui computer su cui viene eseguito il server applicazioni Adobe Campaign (nlserver web processo).

NOTE
Per Linux, è necessario aggiungere font. Per ulteriori informazioni, consulta Font per le statistiche MTA.

SpamAssassin spamassassin

SpamAssassin ti consente di assegnare un punteggio alle e-mail per determinare se un messaggio rischia di essere considerato indesiderato dagli strumenti anti-spam utilizzati alla ricezione. L'installazione è facoltativa.

La qualifica delle e-mail come indesiderate da SpamAssassin si basa interamente sulle regole di filtro e di punteggio. Queste regole devono quindi essere aggiornate almeno una volta al giorno affinché l’installazione di SpamAssassin e la sua integrazione in Adobe Campaign siano completamente funzionali e per garantire la pertinenza dei punteggi assegnati alle consegne prima dell’invio. Questo aggiornamento è responsabilità dell'amministratore del server che ospita SpamAssassin.

La versione minima supportata è: 3,4

SpamAssassin richiede un accesso a Internet HTTP (tcp/80).

Le fasi di installazione e configurazione di SpamAssassin sono presentate in Configurazione di SpamAssassin.

recommendation-more-help
601d79c3-e613-4db3-889a-ae959cd9e3e1